Package com.pixelmed.network

# Class NetworkApplicationConfigurationDialog

java.lang.Object
com.pixelmed.network.NetworkApplicationConfigurationDialog

public class NetworkApplicationConfigurationDialog extends Object

This class provides user interface for network applications to configure and test properties related to DICOM network services.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`NetworkApplicationConfigurationDialog.AddRemoteAEActionListener`
`protected class`
`NetworkApplicationConfigurationDialog.DoneActionListener`
`protected class`
`NetworkApplicationConfigurationDialog.EditRemoteAEActionListener`
`protected class`
`NetworkApplicationConfigurationDialog.RemoveRemoteAEActionListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTextField`
`acceptorMaximumLengthReceivedField`
`protected JTextField`
`acceptorSocketReceiveBufferSizeField`
`protected JTextField`
`acceptorSocketSendBufferSizeField`
`protected JTextField`
`calledAETitleField`
`protected JTextField`
`callingAETitleField`
`protected JTextField`
`initiatorMaximumLengthReceivedField`
`protected JTextField`
`initiatorSocketReceiveBufferSizeField`
`protected JTextField`
`initiatorSocketSendBufferSizeField`
`protected JTextField`
`listeningPortField`
`protected NetworkApplicationInformation`
`networkApplicationInformation`
`protected NetworkApplicationProperties`
`networkApplicationProperties`
`protected ResourceBundle`
`resourceBundle`
`protected static String`
`resourceBundleName`

## Constructor Summary

Constructors
Constructor
Description
`NetworkApplicationConfigurationDialog(Component parent, NetworkApplicationInformation networkApplicationInformation, NetworkApplicationProperties networkApplicationProperties)`
Configure and test network information.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Test the editing of network properties from the specified file.
`protected String`
`showInputDialogToSelectNetworkTargetByLocalApplicationEntityName(Component parent, NetworkApplicationInformation networkApplicationInformation, String message, String title)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### resourceBundleName

protected static String resourceBundleName

### resourceBundle

protected ResourceBundle resourceBundle

### networkApplicationInformation

protected NetworkApplicationInformation networkApplicationInformation

### networkApplicationProperties

protected NetworkApplicationProperties networkApplicationProperties

### calledAETitleField

protected JTextField calledAETitleField

### callingAETitleField

protected JTextField callingAETitleField

### listeningPortField

protected JTextField listeningPortField

### acceptorMaximumLengthReceivedField

protected JTextField acceptorMaximumLengthReceivedField

### acceptorSocketReceiveBufferSizeField

protected JTextField acceptorSocketReceiveBufferSizeField

### acceptorSocketSendBufferSizeField

protected JTextField acceptorSocketSendBufferSizeField

### initiatorMaximumLengthReceivedField

protected JTextField initiatorMaximumLengthReceivedField

### initiatorSocketReceiveBufferSizeField

protected JTextField initiatorSocketReceiveBufferSizeField

### initiatorSocketSendBufferSizeField

protected JTextField initiatorSocketSendBufferSizeField

## Constructor Details

### NetworkApplicationConfigurationDialog

public NetworkApplicationConfigurationDialog(Component parent, NetworkApplicationInformation networkApplicationInformation, NetworkApplicationProperties networkApplicationProperties) throws DicomNetworkException

Configure and test network information.

Parameters:
  `parent` - the parent component on which the new dialog is centered, may be null in which case centered on the screen
  `networkApplicationInformation` - the current information whose contents are to be replaced with updated information
  `networkApplicationProperties` - the static properties that are to be edited
Throws:
  `DicomNetworkException`

## Method Details

### showInputDialogToSelectNetworkTargetByLocalApplicationEntityName

protected String showInputDialogToSelectNetworkTargetByLocalApplicationEntityName(Component parent, NetworkApplicationInformation networkApplicationInformation, String message, String title)

### main

public static void main(String[] arg)

Test the editing of network properties from the specified file.

Parameters:
  `arg` - a single file name that is the properties file